package jp.ac.osaka_u.sanken.sparql;

import java.util.List;
import java.util.Map;

import com.hp.hpl.jena.rdf.model.RDFNode;

public class SparqlResultSet {

	private List<Map<String, RDFNode>> result;
	private boolean hasNext;

	public SparqlResultSet(List<Map<String, RDFNode>> result){
		this(result, false);
	}

	public SparqlResultSet(List<Map<String, RDFNode>> result, boolean hasNext){
		this.result = result;
		this.hasNext = hasNext;
	}

	/**
	 * @return result
	 */
	public List<Map<String, RDFNode>> getResult() {
		return result;
	}

	/**
	 * @param result セットする result
	 */
	public void setResult(List<Map<String, RDFNode>> result) {
		this.result = result;
	}

	/**
	 * @return hasNext
	 */
	public boolean isHasNext() {
		return hasNext;
	}

	/**
	 * @param hasNext セットする hasNext
	 */
	public void setHasNext(boolean hasNext) {
		this.hasNext = hasNext;
	}


}
